<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__tfzm__context__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_tfzm_context_t</compoundname>
    <includes local="no">cy_capsense_gesture_lib.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__tfzm__context__t_1a60cf7f1c4af96f6113fbe04db092a80e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref></type>
        <definition>cy_stc_capsense_gesture_position_t cy_stc_capsense_tfzm_context_t::touchStartPosition1</definition>
        <argsstring />
        <name>touchStartPosition1</name>
        <briefdescription>
<para>Touchdown position of the first touch. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="150" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="150" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__tfzm__context__t_1a47690ba09642262dc60c9996471cf3a7" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__gesture__position__t">cy_stc_capsense_gesture_position_t</ref></type>
        <definition>cy_stc_capsense_gesture_position_t cy_stc_capsense_tfzm_context_t::touchStartPosition2</definition>
        <argsstring />
        <name>touchStartPosition2</name>
        <briefdescription>
<para>Touchdown position of the second touch. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="151" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="151" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__tfzm__context__t_1aeba8c48b23a049c2c427c01d79f8cf4a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_tfzm_context_t::distanceX</definition>
        <argsstring />
        <name>distanceX</name>
        <briefdescription>
<para>History of X-axis displacement. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="152" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="152" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__tfzm__context__t_1af80b64aea8441ddd468baa43048846a4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_tfzm_context_t::distanceY</definition>
        <argsstring />
        <name>distanceY</name>
        <briefdescription>
<para>History of Y-axis displacement. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="153" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="153" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__tfzm__context__t_1a4d55acf75ebf067266e51707eace00c2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_tfzm_context_t::state</definition>
        <argsstring />
        <name>state</name>
        <briefdescription>
<para>Gesture state. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="154" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="154" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__tfzm__context__t_1a3a6d2543ec80c8af2b26ecd1e9cb4544" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_tfzm_context_t::debounce</definition>
        <argsstring />
        <name>debounce</name>
        <briefdescription>
<para>Gesture debounce counter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="155" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="155" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Gesture Two Finger Zoom context structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="226">
        <label>cy_stc_capsense_gesture_position_t</label>
        <link refid="structcy__stc__capsense__gesture__position__t" />
      </node>
      <node id="225">
        <label>cy_stc_capsense_tfzm_context_t</label>
        <link refid="structcy__stc__capsense__tfzm__context__t" />
        <childnode refid="226" relation="usage">
          <edgelabel>touchStartPosition1</edgelabel>
          <edgelabel>touchStartPosition2</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="156" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" bodystart="148" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_gesture_lib.h" line="149" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__tfzm__context__t_1a3a6d2543ec80c8af2b26ecd1e9cb4544" virt="non-virtual"><scope>cy_stc_capsense_tfzm_context_t</scope><name>debounce</name></member>
      <member prot="public" refid="structcy__stc__capsense__tfzm__context__t_1aeba8c48b23a049c2c427c01d79f8cf4a" virt="non-virtual"><scope>cy_stc_capsense_tfzm_context_t</scope><name>distanceX</name></member>
      <member prot="public" refid="structcy__stc__capsense__tfzm__context__t_1af80b64aea8441ddd468baa43048846a4" virt="non-virtual"><scope>cy_stc_capsense_tfzm_context_t</scope><name>distanceY</name></member>
      <member prot="public" refid="structcy__stc__capsense__tfzm__context__t_1a4d55acf75ebf067266e51707eace00c2" virt="non-virtual"><scope>cy_stc_capsense_tfzm_context_t</scope><name>state</name></member>
      <member prot="public" refid="structcy__stc__capsense__tfzm__context__t_1a60cf7f1c4af96f6113fbe04db092a80e" virt="non-virtual"><scope>cy_stc_capsense_tfzm_context_t</scope><name>touchStartPosition1</name></member>
      <member prot="public" refid="structcy__stc__capsense__tfzm__context__t_1a47690ba09642262dc60c9996471cf3a7" virt="non-virtual"><scope>cy_stc_capsense_tfzm_context_t</scope><name>touchStartPosition2</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>